pqxx::const_reverse_row_iterator Class Reference

Reverse iterator for a row. Use as row::const_reverse_iterator. More...

`#include <row.hxx>`

Inheritance diagram for pqxx::const_reverse_row_iterator:
[legend]

## Public Types

using | super = const_row_iterator
using | iterator_type = const_row_iterator
using | value_type = iterator_type::value_type
using | reference = iterator_type::reference
using | difference_type = row_difference_type
using | iterator_category = std::random_access_iterator_tag
using | pointer = field const *

## Public Member Functions

| const_reverse_row_iterator () noexcept=default
| const_reverse_row_iterator (const_reverse_row_iterator const &) noexcept=default
| const_reverse_row_iterator (const_reverse_row_iterator &&) noexcept=default
| const_reverse_row_iterator (super const &rhs) noexcept
PQXX_PURE iterator_type | base () const noexcept
Manipulations
const_reverse_row_iterator & | operator= (const_reverse_row_iterator const &r) noexcept
const_reverse_row_iterator | operator++ () noexcept
const_reverse_row_iterator | operator++ (int) noexcept
const_reverse_row_iterator & | operator-- () noexcept
const_reverse_row_iterator | operator-- (int)
const_reverse_row_iterator & | operator+= (difference_type i) noexcept
const_reverse_row_iterator & | operator-= (difference_type i) noexcept
Arithmetic operators
const_reverse_row_iterator | operator+ (difference_type i) const noexcept
const_reverse_row_iterator | operator- (difference_type i) noexcept
difference_type | operator- (const_reverse_row_iterator const &rhs) const noexcept
Comparisons
bool | operator== (const_reverse_row_iterator const &rhs) const noexcept
bool | operator!= (const_reverse_row_iterator const &rhs) const noexcept
constexpr bool | operator< (const_reverse_row_iterator const &rhs) const noexcept
constexpr bool | operator<= (const_reverse_row_iterator const &rhs) const noexcept
constexpr bool | operator> (const_reverse_row_iterator const &rhs) const noexcept
constexpr bool | operator>= (const_reverse_row_iterator const &rhs) const noexcept
Dereferencing operators
const_row_iterator | operator- (difference_type) const noexcept
difference_type | operator- (const_row_iterator const &) const noexcept
reference | operator* () const noexcept

## Detailed Description

Reverse iterator for a row. Use as row::const_reverse_iterator.

## Member Typedef Documentation

## difference_type

using pqxx::const_row_iterator::difference_type = row_difference_type

## iterator_category

using pqxx::const_row_iterator::iterator_category = std::random_access_iterator_tag

## iterator_type

using pqxx::const_reverse_row_iterator::iterator_type = const_row_iterator

## pointer

using pqxx::const_row_iterator::pointer = field const *

## reference

using pqxx::const_reverse_row_iterator::reference = iterator_type::reference

## super

using pqxx::const_reverse_row_iterator::super = const_row_iterator

## value_type

using pqxx::const_reverse_row_iterator::value_type = iterator_type::value_type

## Constructor & Destructor Documentation

## const_reverse_row_iterator() [1/4]

pqxx::const_reverse_row_iterator::const_reverse_row_iterator | ( |  | ) |

default noexcept

## const_reverse_row_iterator() [2/4]

pqxx::const_reverse_row_iterator::const_reverse_row_iterator | ( | const_reverse_row_iterator const & |  | ) |

default noexcept

## const_reverse_row_iterator() [3/4]

pqxx::const_reverse_row_iterator::const_reverse_row_iterator | ( | const_reverse_row_iterator && |  | ) |

default noexcept

## const_reverse_row_iterator() [4/4]

pqxx::const_reverse_row_iterator::const_reverse_row_iterator | ( | super const & | rhs | ) |

explicit noexcept

## Member Function Documentation

## base()

pqxx::const_row_iterator pqxx::const_reverse_row_iterator::base | ( |  | ) | const

noexcept

## operator!=()

bool pqxx::const_reverse_row_iterator::operator!= | ( | const_reverse_row_iterator const & | rhs | ) | const

noexcept

## operator*()

reference pqxx::const_row_iterator::operator* | ( |  | ) | const

noexcept

## operator+()

const_reverse_row_iterator pqxx::const_reverse_row_iterator::operator+ | ( | difference_type | i | ) | const

noexcept

## operator++() [1/2]

const_reverse_row_iterator pqxx::const_reverse_row_iterator::operator++ | ( |  | ) |

noexcept

## operator++() [2/2]

pqxx::const_reverse_row_iterator pqxx::const_reverse_row_iterator::operator++ | ( | int |  | ) |

noexcept

## operator+=()

const_reverse_row_iterator & pqxx::const_reverse_row_iterator::operator+= | ( | difference_type | i | ) |

noexcept

## operator-() [1/4]

difference_type pqxx::const_reverse_row_iterator::operator- | ( | const_reverse_row_iterator const & | rhs | ) | const

noexcept

## operator-() [2/4]

const_row_iterator::difference_type pqxx::const_row_iterator::operator- | ( | const_row_iterator const & | i | ) | const

noexcept

## operator-() [3/4]

const_reverse_row_iterator pqxx::const_reverse_row_iterator::operator- | ( | difference_type | i | ) |

noexcept

## operator-() [4/4]

const_row_iterator pqxx::const_row_iterator::operator- | ( | difference_type | o | ) | const

noexcept

## operator--() [1/2]

const_reverse_row_iterator & pqxx::const_reverse_row_iterator::operator-- | ( |  | ) |

noexcept

## operator--() [2/2]

pqxx::const_reverse_row_iterator pqxx::const_reverse_row_iterator::operator-- | ( | int |  | ) |

## operator-=()

const_reverse_row_iterator & pqxx::const_reverse_row_iterator::operator-= | ( | difference_type | i | ) |

noexcept

## operator<()

constexpr bool pqxx::const_reverse_row_iterator::operator< | ( | const_reverse_row_iterator const & | rhs | ) | const

constexpr noexcept

## operator<=()

constexpr bool pqxx::const_reverse_row_iterator::operator<= | ( | const_reverse_row_iterator const & | rhs | ) | const

constexpr noexcept

## operator=()

const_reverse_row_iterator & pqxx::const_reverse_row_iterator::operator= | ( | const_reverse_row_iterator const & | r | ) |

noexcept

## operator==()

bool pqxx::const_reverse_row_iterator::operator== | ( | const_reverse_row_iterator const & | rhs | ) | const

noexcept

## operator>()

constexpr bool pqxx::const_reverse_row_iterator::operator> | ( | const_reverse_row_iterator const & | rhs | ) | const

constexpr noexcept

## operator>=()

constexpr bool pqxx::const_reverse_row_iterator::operator>= | ( | const_reverse_row_iterator const & | rhs | ) | const

constexpr noexcept

The documentation for this class was generated from the following files:

- row.hxx
- row.cxx